### Method

# Vte Terminal watch_child

#### Declaration [src]

    void
    vte_terminal_watch_child (
      VteTerminal* terminal,
      GPid child_pid
    )

#### Description [src]

Watches `child_pid`. When the process exists, the `VteTerminal::child-exited` signal will be called with the child’s exit status.

Prior to calling this function, a `VtePty` must have been set in `terminal` using vte_terminal_set_pty(). When the child exits, the terminal’s `VtePty` will be set to `NULL`.

Note: `g_child_watch_add()` or `g_child_watch_add_full()` must not have been called for `child_pid`, nor a `GSource` for it been created with g_child_watch_source_new().

Note: when using the `g_spawn_async()` family of functions, the `G_SPAWN_DO_NOT_REAP_CHILD` flag MUST have been passed.

#### Parameters

`child_pid`

  Type: `GPid`

  A `GPid`.